> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Email Settings

> The full structured email settings for the current organization, or
null if none have been configured yet.



## OpenAPI

````yaml https://api.stuut.ai/openapi.json get /v2/mailbox-settings
openapi: 3.1.0
info:
  title: Stuut API
  termsOfService: https://stuut.ai/terms-and-conditions
  contact:
    name: Stuut Support
    url: https://stuut.ai/
    email: devs@stuut.co
  version: 2.0.0
servers: []
security:
  - HTTPBearer: []
tags:
  - name: adjustments
    description: Operations for managing payment adjustments (fees, discounts, write-offs).
    x-displayName: Adjustments
  - name: aether
    description: Operations for aether.
    x-displayName: Aether
  - name: analytics
    description: Operations for retrieving analytics and dashboard data.
    x-displayName: Analytics
  - name: assistant
    description: Operations for the in-app chat assistant.
    x-displayName: Assistant
  - name: audit-log
    description: Operations for retrieving the organization's audit log.
    x-displayName: Audit Log
  - name: bank-accounts
    description: Operations for retrieving and managing bank accounts.
    x-displayName: Bank Accounts
  - name: bank-statements
    description: Operations for retrieving and managing bank statements.
    x-displayName: Bank Statements
  - name: bank-transactions
    description: Operations for retrieving and managing bank transactions.
    x-displayName: Bank Transactions
  - name: business-units
    description: Operations for listing and managing business units.
    x-displayName: Business Units
  - name: call-agent
    description: >-
      Operations for initiating and managing real-time voice calls with
      partners.
    x-displayName: Call Agent
  - name: calls
    description: Operations for retrieving and managing voice call records.
    x-displayName: Calls
  - name: cash-app
    description: Operations for cash application — matching incoming payments to invoices.
    x-displayName: Cash Application
  - name: chats
    description: Operations for managing chat conversations.
    x-displayName: Chats
  - name: cnam-registration
    description: Operations for managing CNAM (caller ID name) registration.
    x-displayName: CNAM Registration
  - name: credit-memos
    description: Operations for retrieving and searching credit memos.
    x-displayName: Credit Memos
  - name: custom-table-templates
    description: >-
      Operations for managing custom table templates used in email template
      variables.
    x-displayName: Custom Table Templates
  - name: customer-segments
    description: Operations for managing customer segments.
    x-displayName: Customer Segments
  - name: deductions-knowledge
    description: Operations for managing deduction processing knowledge entries.
    x-displayName: Deductions Knowledge
  - name: email-threads
    description: Operations for managing email threads.
    x-displayName: Email Threads
  - name: emails
    description: Operations for retrieving and managing emails.
    x-displayName: Emails
  - name: exports
    description: Operations for requesting and retrieving async data exports.
    x-displayName: Exports
  - name: integrations
    description: >-
      Operations for managing integrations with external systems (e.g. ERP, CRM,
      etc.).
    x-displayName: Integrations
  - name: internal-contacts
    description: >-
      Operations for managing internal contacts (CSMs, account managers, etc.)
      and their assignments to partners.
    x-displayName: Internal Contacts
  - name: invoices
    description: Operations for retrieving and managing invoices.
    x-displayName: Invoices
  - name: kyb
    description: Operations for Know Your Business (KYB) verification.
    x-displayName: KYB
  - name: ledger-accounts
    description: Operations for retrieving and managing ledger accounts.
    x-displayName: Ledger Accounts
  - name: mailbox-settings
    description: >-
      Operations for an organization's mailbox provider configuration: Microsoft
      admin consent, shared-mailbox discovery, and provider health.
    x-displayName: Mailbox Settings
  - name: mailboxes
    description: >-
      Operations for connecting, listing, updating, and archiving user and
      shared mailboxes, including delegated OAuth sign-in.
    x-displayName: Mailboxes
  - name: media
    description: >-
      Operations for signing direct-to-storage media uploads (e.g. signature
      images).
    x-displayName: Media
  - name: organizations
    description: Operations for retrieving and managing the current organization.
    x-displayName: Organizations
  - name: outreach-workflows
    description: Operations for managing automated collections outreach workflows.
    x-displayName: Outreach Workflows
  - name: partners
    description: Operations for retrieving and managing customers.
    x-displayName: Partners
  - name: payments
    description: Operations for approving and managing payments.
    x-displayName: Payments
  - name: report-configs
    description: >-
      Operations for managing report configurations (frequency, recipients,
      schedule).
    x-displayName: Report Configs
  - name: sms-campaign-registration
    description: Operations for managing A2P 10DLC SMS campaign registration.
    x-displayName: SMS Campaign Registration
  - name: sms-templates
    description: >-
      Operations for defining, storing, and managing parameterized SMS message
      templates.
    x-displayName: SMS Templates
  - name: sms-threads
    description: Operations for retrieving and managing SMS conversation threads.
    x-displayName: SMS Threads
  - name: users
    description: Operations for retrieving and managing users.
    x-displayName: Users
  - name: users-ooo
    description: Operations for managing user out-of-office (OOO) status and coverage.
    x-displayName: Users OOO
paths:
  /v2/mailbox-settings:
    get:
      tags:
        - mailbox-settings
      summary: Get Email Settings
      description: |-
        The full structured email settings for the current organization, or
        null if none have been configured yet.
      operationId: GetMailboxSettings
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EmailSettings'
                  - type: 'null'
      security:
        - HTTPBearer: []
components:
  schemas:
    EmailSettings:
      properties:
        transport_provider:
          $ref: '#/components/schemas/EmailProvider'
          title: ''
          description: >-
            How mail is transported — 'nylas' (OAuth sync/send) or 'sendgrid'
            (domain send).
        hybrid_mode_enabled:
          type: boolean
          title: ''
        microsoft:
          $ref: '#/components/schemas/MicrosoftConnection'
          title: ''
        google:
          $ref: '#/components/schemas/GoogleConnection'
          title: ''
        centralized_inbox:
          $ref: '#/components/schemas/CentralizedInboxSettings'
          title: ''
        sendgrid:
          anyOf:
            - $ref: '#/components/schemas/SendGridSettings'
            - type: 'null'
          title: ''
      type: object
      required:
        - transport_provider
        - hybrid_mode_enabled
        - microsoft
        - google
        - centralized_inbox
        - sendgrid
      title: EmailSettings
    EmailProvider:
      type: string
      enum:
        - nylas
        - sendgrid
      title: EmailProvider
    MicrosoftConnection:
      properties:
        enabled:
          type: boolean
          title: ''
          description: Whether Microsoft mailbox connections are enabled for this org.
        admin_consented:
          type: boolean
          title: ''
          description: Whether Entra admin consent has been granted.
        admin_consented_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: ''
        application_scopes:
          items:
            type: string
          type: array
          title: ''
          description: Application (app-only) Graph scopes consented in this tenant.
        delegated_scopes:
          items:
            type: string
          type: array
          title: ''
          description: Delegated Graph scopes admin-consented tenant-wide (AllPrincipals).
        azure_tenant_id:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
          description: Customer's Entra tenant GUID.
        azure_client_id:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
          description: >-
            Entra app client ID — Stuut's for most tenants, the customer's for
            BYO.
        is_byo:
          type: boolean
          title: ''
          description: True when the org supplied their own Entra app credentials.
        uses_legacy_entra_app:
          type: boolean
          title: ''
          description: >-
            True when this org still authenticates against the legacy Entra app
            and should be prompted to re-authenticate / migrate to the current
            app.
      type: object
      required:
        - enabled
        - admin_consented
        - admin_consented_at
        - application_scopes
        - delegated_scopes
        - azure_tenant_id
        - azure_client_id
        - is_byo
        - uses_legacy_entra_app
      title: MicrosoftConnection
      description: 'The org''s Microsoft mailbox connection: consent state and Entra details.'
    GoogleConnection:
      properties:
        enabled:
          type: boolean
          title: ''
          description: Whether Google mailbox connections are enabled for this org.
      type: object
      required:
        - enabled
      title: GoogleConnection
      description: The org's Google mailbox connection state.
    CentralizedInboxSettings:
      properties:
        auto_assign:
          type: boolean
          title: ''
        auto_assign_threshold:
          type: integer
          title: ''
        matching_guidelines:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
      type: object
      required:
        - auto_assign
        - auto_assign_threshold
        - matching_guidelines
      title: CentralizedInboxSettings
      description: Routing / auto-assignment config for the centralized inbox.
    SendGridSettings:
      properties:
        domain_name:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
          description: Authenticated outbound sending domain.
        inbound_parse_hostname:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
          description: Hostname for SendGrid Inbound Parse.
        effective_inbound_hostname:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
          description: Resolved inbound hostname (falls back to the sending domain).
        has_api_key:
          type: boolean
          title: ''
          description: True when a SendGrid API key is configured.
      type: object
      required:
        - domain_name
        - inbound_parse_hostname
        - effective_inbound_hostname
        - has_api_key
      title: SendGridSettings
      description: SendGrid transport configuration.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````